Bug 103925 - [CI] igt@kms_rotation_crc@* - CRC mismatch
Summary: [CI] igt@kms_rotation_crc@* - CRC mismatch
Status: ASSIGNED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on: 103191
Blocks: 105978
  Show dependency treegraph
 
Reported: 2017-11-27 08:07 UTC by Marta Löfstedt
Modified: 2019-05-02 10:04 UTC (History)
1 user (show)

See Also:
i915 platform: BSW/CHT, BYT, GLK, ICL, SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-27 08:07:33 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-apl4/igt@kms_rotation_crc@primary-rotation-180.html

(kms_rotation_crc:8738) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:8738) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest primary-rotation-180 failed.
Comment 1 Marta Löfstedt 2017-12-04 07:28:28 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3433/shard-apl5/igt@kms_rotation_crc@primary-rotation-90.html

(kms_rotation_crc:1989) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:1989) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest primary-rotation-90 failed.
Comment 2 Marta Löfstedt 2018-01-17 07:21:25 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4146/shard-apl5/igt@kms_rotation_crc@bad-tiling.html

(kms_rotation_crc:1460) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:1460) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest bad-tiling failed.
Comment 3 Marta Löfstedt 2018-01-17 07:42:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4141/shard-glkb6/igt@kms_rotation_crc@primary-rotation-90-flip.html

(kms_rotation_crc:2798) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:2798) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest primary-rotation-90-flip failed.
Comment 4 Marta Löfstedt 2018-02-13 07:08:18 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4249/shard-snb6/igt@kms_rotation_crc@primary-rotation-180.html

(kms_rotation_crc:3052) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:3052) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:3052) igt-debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-180 failed.
Comment 5 Marta Löfstedt 2018-02-15 06:55:03 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3776/shard-hsw5/igt@kms_rotation_crc@sprite-rotation-180.html

(kms_rotation_crc:10844) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_rotation_crc:10844) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:10844) igt-debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest sprite-rotation-180 failed.
Comment 6 Marta Löfstedt 2018-03-01 07:08:26 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3846/shard-apl6/igt@kms_rotation_crc@primary-rotation-270.html

(kms_rotation_crc:1518) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_rotation_crc:1518) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1518) igt-debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-270 failed.
Comment 7 Marta Löfstedt 2018-03-12 12:36:34 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3903/fi-cfl-s2/igt@kms_rotation_crc@primary-rotation-180.html

(kms_rotation_crc:2531) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_rotation_crc:2531) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:2531) igt-debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-180 failed.
Comment 8 Hector Velazquez 2018-03-13 17:50:43 UTC
This tests has failed on GLK QA 

Tests List:
igt@kms_rotation_crc@primary-rotation-180
igt@kms_rotation_crc@primary-rotation-270
igt@kms_rotation_crc@primary-rotation-90
igt@kms_rotation_crc@sprite-rotation-180
igt@kms_rotation_crc@sprite-rotation-90
igt@kms_rotation_crc@sprite-rotation-90-pos-100-0


output sample:
. . .
(kms_rotation_crc:11864) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_rotation_crc:11864) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:11864) igt-debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-180 failed.
. . .

software:
IGT-Version: 1.21-g43d7c05 (x86_64) (Linux: 4.16.0-rc4-drm-intel-qa-ww10-commit-970ee17+ x86_64)
Comment 9 Marta Löfstedt 2018-03-15 14:09:37 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_1/fi-cnl-y3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-270.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_1/fi-cnl-y3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-180.html
	

(kms_rotation_crc:1418) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1418) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1418) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-yf-tiled-reflect-x-270 failed.
Comment 10 Marta Löfstedt 2018-03-19 07:42:49 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_2/fi-cnl-y3/igt@kms_rotation_crc@primary-y-tiled-reflect-x-270.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_2/fi-byt-j1900/igt@kms_rotation_crc@sprite-rotation-180.html


(kms_rotation_crc:1869) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1869) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1869) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-y-tiled-reflect-x-270 failed.
Comment 12 Marta Löfstedt 2018-03-21 09:46:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_5/fi-cfl-8700k/igt@kms_rotation_crc@sprite-rotation-90.html

(kms_rotation_crc:2711) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:2711) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:2711) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest sprite-rotation-90 failed.
Comment 13 Marta Löfstedt 2018-03-23 09:01:24 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_6/fi-kbl-r/igt@kms_rotation_crc@primary-rotation-90.html	

(kms_rotation_crc:1504) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1504) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1504) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-90 failed.
Comment 14 Marta Löfstedt 2018-03-26 13:09:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-cnl-y3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-90.html

(kms_rotation_crc:2547) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:2547) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:2547) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-yf-tiled-reflect-x-90 failed.
Comment 15 Marta Löfstedt 2018-03-27 05:41:30 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3979/shard-snb6/igt@kms_rotation_crc@cursor-rotation-180.html

(kms_rotation_crc:1755) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1755) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1755) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest cursor-rotation-180 failed.
Comment 16 Marta Löfstedt 2018-03-27 09:54:25 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-cfl-s3/igt@kms_rotation_crc@sprite-rotation-90.html

(kms_rotation_crc:1690) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1690) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1690) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest sprite-rotation-90 failed.
Comment 18 Marta Löfstedt 2018-04-06 08:27:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_12/fi-skl-guc/igt@kms_rotation_crc@primary-rotation-90.html

(kms_rotation_crc:1833) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_rotation_crc:1833) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_rotation_crc:1833) igt_debugfs-CRITICAL: Last errno: 11, Resource temporarily unavailable
Subtest primary-rotation-90 failed.
Comment 21 Lakshmi 2018-09-13 14:22:45 UTC
This issue is open and occurring with IGT/CI DRM/drmtip tests.
Comment 22 Juha-Pekka Heikkilä 2018-12-20 11:29:39 UTC
This bug probably is many bugs wrapped in one. Here's patch for ILK..IVB rotation crc failures: https://patchwork.freedesktop.org/series/54336/
Comment 23 Jani Saarinen 2019-01-15 07:24:07 UTC
Marking as resolved as merged. 
author	Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
committer	Ville Syrjälä <ville.syrjala@linux.intel.com>
commit	d8af327087f753d7cc26d813e8e5a83461d8e5c6

Tested on CI_DRM_5418
Comment 24 Jani Saarinen 2019-01-15 11:08:05 UTC
Only partially fixed
Comment 25 Martin Peres 2019-04-03 08:09:03 UTC
The current affected platforms look like they could come from https://bugs.freedesktop.org/show_bug.cgi?id=103191.

To be investigated after fixing 103191
Comment 26 Martin Peres 2019-04-16 12:16:16 UTC
(In reply to Martin Peres from comment #25)
> The current affected platforms look like they could come from
> https://bugs.freedesktop.org/show_bug.cgi?id=103191.
> 
> To be investigated after fixing 103191

Actually, this is happening also on ICL, which cannot be explained by https://bugs.freedesktop.org/show_bug.cgi?id=103191.

See https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5888/shard-iclb6/igt@kms_rotation_crc@primary-rotation-270.html

Starting subtest: primary-rotation-270
(kms_rotation_crc:1427) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_rotation_crc:1427) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Comment 27 Martin Peres 2019-04-16 12:30:41 UTC
The igt@kms_rotation_crc is verifying that the HW properly supports rotations.

A rotated FB is created using the CPU, displayed, then a CRC is collected. Then, the non-rotated version of the same FB is created, displayed rotated using the rotation KMS property, and the CRC is compared to the previous one. If they do not match, then it means the HW implementation is differing from the SW one.

We trust the SW implementation of the rotation, so this failure means that the HW is behaving in an unexpected way.

The worst possible user impact is that rotated displays are corrupted on the affected platforms (mostly BSW, BYT, GLK, SKL?, which seem to be the slowest machines we have). On ICL, the reproduction rate is really low (2 failures in 1.5 months, once on icl-y, once on icl-u).

This is mostly affecting slow platforms, which are not usually used as desktop PC which is were rotated displays may be seen the most. Tablet-like machines do not use upstream. Also, BYT, BSW and GLK have been broken for years, without users filing bugs for it. Because of this, let's lower the priority of this bug to reflect the small portion of affected users in the worst case scenario (if any).
Comment 28 CI Bug Log 2019-05-02 10:04:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- all machines: igt@kms_rotation_crc@.* - Failed assertion: !mismatch -}
{+ all machines: igt@kms_rotation_crc@.* - fail/dmesg-fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-byt-j1900/igt@kms_rotation_crc@sprite-rotation-180.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.